### What is QCMS

QCMS is a lightweight, flask CMS designed easy to get working and allowing users to be able to change/edit content using **nextcloud** or **owncloud** as they see fit if need be.

QCMS comes with standard web frameworks and python frameworks out of the box

|HTML/JS| Python Frameworks|
|---|---|
|FontAwesome<br>JQuery<br>ApexCharts<br>&nbsp;| Flask<br>Numpy<br>Pandas<br>data-transport

**Features**, 

**QCMS** Lowers the barrier to entry by :
1. automatically building menus from folder structure
2. add content in HTML5 or Markdown format

### Quickly Getting Started
    
**1. Installation**

    pip install dev.the-phi.com/git/qcms/cms

**2. Create your project**

    qcms create --title "my demo project" --subtitle "I love qcms" --port 8090 ./qcms-demo

The content is created in ./qcms-demo/www/html

**3. Boot the project**

    qcms bootup ./qcms-demo/qcms-manifest.json

### Limitations
    
- Can not yet migrate an existing project into **QCMS**
- Templates are all CSS/SCSS based (no Javascript)



Things to update with qcms runner :
    - system.icon location, when creating a project
    - applying themes
    - upgrade all plugins to return data-type ?

